package com.qmth.cqb.genpaper.web;

import com.qmth.cqb.genpaper.model.GenPaperDto;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.HttpStatus;
import org.springframework.http.ResponseEntity;
import org.springframework.stereotype.Controller;

import com.qmth.cqb.genpaper.service.GenPaperService;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * Created by songyue on 16/12/28.
 */
@RestController
@RequestMapping("${api_cqb}/")
public class GenPaperController {

    @Autowired
    GenPaperService genPaperService;

    @ApiOperation(value="简易随机组卷",notes="简易随机组卷")
    @PostMapping("/genPaper/simple")
    public ResponseEntity genPaperSimple(@RequestBody GenPaperDto genPaperDto){
        return new ResponseEntity("", HttpStatus.OK);
    }

    @ApiOperation(value="精细组卷",notes="精细组卷")
    @PostMapping("/genPaper/normal")
    public ResponseEntity genPaperNormal(@RequestBody GenPaperDto genPaperDto){
        return new ResponseEntity("", HttpStatus.OK);
    }


}
